Scala Bytecode Parser2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package scalap
  Definition Classes
    tools
-  package scalax
  Definition Classes
    scalap
-  package rules
  Definition Classes
    scalax
-  package scalasig
  Definition Classes
    rules
- AliasSymbol
- AnnotInfo
- AnnotatedType
- AnnotatedWithSelfType
- Attribute
- AttributeInfo
- ByteCode
- ByteCodeReader
- Children
- ClassFile
- ClassFileHeader
- ClassFileParser
- ClassInfoType
- ClassInfoTypeWithCons
- ClassSymbol
- ConstantPool
- ConstantType
- ExistentialType
- ExternalSymbol
- Field
- Flags
- Method
- MethodSymbol
- MethodType
- NoPrefixType
- NoSymbol
- NoType
- NullaryMethodType
- ObjectSymbol
- PolyType
- PolyTypeWithCons
- RefinedType
- ScalaSig
- ScalaSigAttributeParsers
- ScalaSigEntryParsers
- ScalaSigParser
- ScalaSigParsers
- ScalaSigPrinter
- ScalaSigSymbol
- SingleType
- SourceFileAttributeParser
- SourceFileInfo
- StringBytesPair
- Symbol
- SymbolInfo
- SymbolInfoSymbol
- ThisType
- Type
- TypeBoundsType
- TypeRefType
- TypeSymbol

t

scala.tools.scalap.scalax.rules.scalasig

# Symbol 

###

#### trait Symbol extends Flags

Source
  Symbol.scala

Linear Supertypes
Flags, AnyRef, Any
Known Subclasses
AliasSymbol, ClassSymbol, ExternalSymbol, MethodSymbol, NoSymbol, ObjectSymbol, ScalaSigSymbol, SymbolInfoSymbol, TypeSymbol
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Symbol
2. Flags
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def children: Seq[Symbol]
2.  abstract def hasFlag(flag: Long): Boolean
   Definition Classes
     Flags
3.  abstract def name: String
4.  abstract def parent: Option[Symbol]

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Symbol to any2stringadd[Symbol] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Symbol, B)
   Implicit
     This member is added by an implicit conversion from Symbol to ArrowAssoc[Symbol] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (Symbol) ⇒ Boolean, msg: ⇒ Any): Symbol
   Implicit
     This member is added by an implicit conversion from Symbol to Ensuring[Symbol] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (Symbol) ⇒ Boolean): Symbol
   Implicit
     This member is added by an implicit conversion from Symbol to Ensuring[Symbol] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): Symbol
    Implicit
      This member is added by an implicit conversion from Symbol to Ensuring[Symbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): Symbol
    Implicit
      This member is added by an implicit conversion from Symbol to Ensuring[Symbol] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Symbol to StringFormat[Symbol] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  def isAbstract: Boolean
    Definition Classes
      Flags
19.  def isAbstractOverride: Boolean
    Definition Classes
      Flags
20.  def isAccessor: Boolean
    Definition Classes
      Flags
21.  def isBridge: Boolean
    Definition Classes
      Flags
22.  def isByNameParam: Boolean
    Definition Classes
      Flags
23.  def isCaptured: Boolean
    Definition Classes
      Flags
24.  def isCase: Boolean
    Definition Classes
      Flags
25.  def isCaseAccessor: Boolean
    Definition Classes
      Flags
26.  def isContravariant: Boolean
    Definition Classes
      Flags
27.  def isCovariant: Boolean
    Definition Classes
      Flags
28.  def isDeferred: Boolean
    Definition Classes
      Flags
29.  def isDeprecated: Boolean
    Definition Classes
      Flags
30.  def isError: Boolean
    Definition Classes
      Flags
31.  def isExistential: Boolean
    Definition Classes
      Flags
32.  def isExpandedName: Boolean
    Definition Classes
      Flags
33.  def isFinal: Boolean
    Definition Classes
      Flags
34.  def isImplementationClass: Boolean
    Definition Classes
      Flags
35.  def isImplicit: Boolean
    Definition Classes
      Flags
36.  def isInConstructor: Boolean
    Definition Classes
      Flags
37.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
38.  def isInterface: Boolean
    Definition Classes
      Flags
39.  def isJava: Boolean
    Definition Classes
      Flags
40.  def isLabel: Boolean
    Definition Classes
      Flags
41.  def isLazy: Boolean
    Definition Classes
      Flags
42.  def isLifted: Boolean
    Definition Classes
      Flags
43.  def isLocal: Boolean
    Definition Classes
      Flags
44.  def isMethod: Boolean
    Definition Classes
      Flags
45.  def isMixedIn: Boolean
    Definition Classes
      Flags
46.  def isModule: Boolean
    Definition Classes
      Flags
47.  def isModuleVar: Boolean
    Definition Classes
      Flags
48.  def isMonomorphic: Boolean
    Definition Classes
      Flags
49.  def isMutable: Boolean
    Definition Classes
      Flags
50.  def isOverloaded: Boolean
    Definition Classes
      Flags
51.  def isOverride: Boolean
    Definition Classes
      Flags
52.  def isPackage: Boolean
    Definition Classes
      Flags
53.  def isParam: Boolean
    Definition Classes
      Flags
54.  def isParamAccessor: Boolean
    Definition Classes
      Flags
55.  def isPreSuper: Boolean
    Definition Classes
      Flags
56.  def isPrivate: Boolean
    Definition Classes
      Flags
57.  def isProtected: Boolean
    Definition Classes
      Flags
58.  def isSealed: Boolean
    Definition Classes
      Flags
59.  def isStable: Boolean
    Definition Classes
      Flags
60.  def isStatic: Boolean
    Definition Classes
      Flags
61.  def isSuperAccessor: Boolean
    Definition Classes
      Flags
62.  def isSynthetic: Boolean
    Definition Classes
      Flags
63.  def isTrait: Boolean
    Definition Classes
      Flags
64.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
65.  final def notify(): Unit
    Definition Classes
      AnyRef
66.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
67.  def path: String
68.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
69.  def toString(): String
    Definition Classes
      AnyRef → Any
70.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
71.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
72.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
73.  def →[B](y: B): (Symbol, B)
    Implicit
      This member is added by an implicit conversion from Symbol to ArrowAssoc[Symbol] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Flags

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Symbol to any2stringadd[Symbol]

### Inherited by implicit conversion StringFormat from Symbol to StringFormat[Symbol]

### Inherited by implicit conversion Ensuring from Symbol to Ensuring[Symbol]

### Inherited by implicit conversion ArrowAssoc from Symbol to ArrowAssoc[Symbol]

### Ungrouped